Changeset 1437 for ThirdParty/Glpk


Ignore:
Timestamp:
Nov 1, 2009 12:14:56 PM (10 years ago)
Author:
stefan
Message:

rerun autotools

Location:
ThirdParty/Glpk/branches/BSPsplit
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Glpk/branches/BSPsplit/Makefile.in

    r1396 r1437  
    160160CFLAGS = @CFLAGS@
    161161COIN_HAS_GLPK_FALSE = @COIN_HAS_GLPK_FALSE@
     162COIN_HAS_GLPK_PREINSTALLED_FALSE = @COIN_HAS_GLPK_PREINSTALLED_FALSE@
     163COIN_HAS_GLPK_PREINSTALLED_TRUE = @COIN_HAS_GLPK_PREINSTALLED_TRUE@
    162164COIN_HAS_GLPK_TRUE = @COIN_HAS_GLPK_TRUE@
    163165COIN_HAS_ZLIB_FALSE = @COIN_HAS_ZLIB_FALSE@
     
    182184FADDLIBS = @FADDLIBS@
    183185FFLAGS = @FFLAGS@
     186GLPKDATADIR = @GLPKDATADIR@
    184187GLPKDIR = @GLPKDIR@
    185188GLPKDOCDIR = @GLPKDOCDIR@
     189GLPKINSTDIR = @GLPKINSTDIR@
    186190GLPKOBJDIR = @GLPKOBJDIR@
    187191GLPKSRCDIR = @GLPKSRCDIR@
  • ThirdParty/Glpk/branches/BSPsplit/configure

    r1396 r1437  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS GLPKSRCDIR GLPKOBJDIR GLPKDOCDIR COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE glpkmajorver glpkminorver COIN_HAS_ZLIB_TRUE COIN_HAS_ZLIB_FALSE GLPKDIR LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS GLPKSRCDIR GLPKOBJDIR GLPKDOCDIR GLPKDATADIR GLPKINSTDIR COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE COIN_HAS_GLPK_PREINSTALLED_TRUE COIN_HAS_GLPK_PREINSTALLED_FALSE glpkmajorver glpkminorver COIN_HAS_ZLIB_TRUE COIN_HAS_ZLIB_FALSE GLPKDIR LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    10871087  --with-tags[=TAGS]
    10881088                          include additional configurations [automatic]
     1089  --with-glpk-instdir prefix of installation directory for precompiled Glpk
     1090                          package
     1091  --with-glpk-srcdir source directory for Glpk package
     1092  --with-glpk-objdir object directory for Glpk package (if different from
     1093                          source directory in VPATH compilation)
     1094  --with-coin-instdir     prefix of installation directory for precompiled
     1095                          COIN packages
    10891096
    10901097Some influential environment variables:
     
    15781585ADDLIBS="-lm $LIBS"
    15791586
    1580 
    1581 # As backup, we make sure we don't loose an FLIBS if it has been set
    1582 # by the user
    1583 save_FLIBS="$FLIBS"
    15841587
    15851588# Initialize the FADDLIBS variable (which is to be used with a fortran
     
    47284731*-*-irix6*)
    47294732  # Find out which ABI we are using.
    4730   echo '#line 4730 "configure"' > conftest.$ac_ext
     4733  echo '#line 4733 "configure"' > conftest.$ac_ext
    47314734  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    47324735  (eval $ac_compile) 2>&5
     
    63276330
    63286331# Provide some information about the compiler.
    6329 echo "$as_me:6329:" \
     6332echo "$as_me:6332:" \
    63306333     "checking for Fortran 77 compiler version" >&5
    63316334ac_compiler=`set X $ac_compile; echo $2`
     
    73947397   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    73957398   -e 's:$: $lt_compiler_flag:'`
    7396    (eval echo "\"\$as_me:7396: $lt_compile\"" >&5)
     7399   (eval echo "\"\$as_me:7399: $lt_compile\"" >&5)
    73977400   (eval "$lt_compile" 2>conftest.err)
    73987401   ac_status=$?
    73997402   cat conftest.err >&5
    7400    echo "$as_me:7400: \$? = $ac_status" >&5
     7403   echo "$as_me:7403: \$? = $ac_status" >&5
    74017404   if (exit $ac_status) && test -s "$ac_outfile"; then
    74027405     # The compiler can only warn and ignore the option if not recognized
     
    76627665   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    76637666   -e 's:$: $lt_compiler_flag:'`
    7664    (eval echo "\"\$as_me:7664: $lt_compile\"" >&5)
     7667   (eval echo "\"\$as_me:7667: $lt_compile\"" >&5)
    76657668   (eval "$lt_compile" 2>conftest.err)
    76667669   ac_status=$?
    76677670   cat conftest.err >&5
    7668    echo "$as_me:7668: \$? = $ac_status" >&5
     7671   echo "$as_me:7671: \$? = $ac_status" >&5
    76697672   if (exit $ac_status) && test -s "$ac_outfile"; then
    76707673     # The compiler can only warn and ignore the option if not recognized
     
    77667769   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    77677770   -e 's:$: $lt_compiler_flag:'`
    7768    (eval echo "\"\$as_me:7768: $lt_compile\"" >&5)
     7771   (eval echo "\"\$as_me:7771: $lt_compile\"" >&5)
    77697772   (eval "$lt_compile" 2>out/conftest.err)
    77707773   ac_status=$?
    77717774   cat out/conftest.err >&5
    7772    echo "$as_me:7772: \$? = $ac_status" >&5
     7775   echo "$as_me:7775: \$? = $ac_status" >&5
    77737776   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    77747777   then
     
    1011110114  lt_status=$lt_dlunknown
    1011210115  cat > conftest.$ac_ext <<EOF
    10113 #line 10113 "configure"
     10116#line 10116 "configure"
    1011410117#include "confdefs.h"
    1011510118
     
    1021110214  lt_status=$lt_dlunknown
    1021210215  cat > conftest.$ac_ext <<EOF
    10213 #line 10213 "configure"
     10216#line 10216 "configure"
    1021410217#include "confdefs.h"
    1021510218
     
    1255512558   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1255612559   -e 's:$: $lt_compiler_flag:'`
    12557    (eval echo "\"\$as_me:12557: $lt_compile\"" >&5)
     12560   (eval echo "\"\$as_me:12560: $lt_compile\"" >&5)
    1255812561   (eval "$lt_compile" 2>conftest.err)
    1255912562   ac_status=$?
    1256012563   cat conftest.err >&5
    12561    echo "$as_me:12561: \$? = $ac_status" >&5
     12564   echo "$as_me:12564: \$? = $ac_status" >&5
    1256212565   if (exit $ac_status) && test -s "$ac_outfile"; then
    1256312566     # The compiler can only warn and ignore the option if not recognized
     
    1265912662   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1266012663   -e 's:$: $lt_compiler_flag:'`
    12661    (eval echo "\"\$as_me:12661: $lt_compile\"" >&5)
     12664   (eval echo "\"\$as_me:12664: $lt_compile\"" >&5)
    1266212665   (eval "$lt_compile" 2>out/conftest.err)
    1266312666   ac_status=$?
    1266412667   cat out/conftest.err >&5
    12665    echo "$as_me:12665: \$? = $ac_status" >&5
     12668   echo "$as_me:12668: \$? = $ac_status" >&5
    1266612669   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1266712670   then
     
    1422914232   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1423014233   -e 's:$: $lt_compiler_flag:'`
    14231    (eval echo "\"\$as_me:14231: $lt_compile\"" >&5)
     14234   (eval echo "\"\$as_me:14234: $lt_compile\"" >&5)
    1423214235   (eval "$lt_compile" 2>conftest.err)
    1423314236   ac_status=$?
    1423414237   cat conftest.err >&5
    14235    echo "$as_me:14235: \$? = $ac_status" >&5
     14238   echo "$as_me:14238: \$? = $ac_status" >&5
    1423614239   if (exit $ac_status) && test -s "$ac_outfile"; then
    1423714240     # The compiler can only warn and ignore the option if not recognized
     
    1433314336   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1433414337   -e 's:$: $lt_compiler_flag:'`
    14335    (eval echo "\"\$as_me:14335: $lt_compile\"" >&5)
     14338   (eval echo "\"\$as_me:14338: $lt_compile\"" >&5)
    1433614339   (eval "$lt_compile" 2>out/conftest.err)
    1433714340   ac_status=$?
    1433814341   cat out/conftest.err >&5
    14339    echo "$as_me:14339: \$? = $ac_status" >&5
     14342   echo "$as_me:14342: \$? = $ac_status" >&5
    1434014343   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1434114344   then
     
    1654016543   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1654116544   -e 's:$: $lt_compiler_flag:'`
    16542    (eval echo "\"\$as_me:16542: $lt_compile\"" >&5)
     16545   (eval echo "\"\$as_me:16545: $lt_compile\"" >&5)
    1654316546   (eval "$lt_compile" 2>conftest.err)
    1654416547   ac_status=$?
    1654516548   cat conftest.err >&5
    16546    echo "$as_me:16546: \$? = $ac_status" >&5
     16549   echo "$as_me:16549: \$? = $ac_status" >&5
    1654716550   if (exit $ac_status) && test -s "$ac_outfile"; then
    1654816551     # The compiler can only warn and ignore the option if not recognized
     
    1680816811   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1680916812   -e 's:$: $lt_compiler_flag:'`
    16810    (eval echo "\"\$as_me:16810: $lt_compile\"" >&5)
     16813   (eval echo "\"\$as_me:16813: $lt_compile\"" >&5)
    1681116814   (eval "$lt_compile" 2>conftest.err)
    1681216815   ac_status=$?
    1681316816   cat conftest.err >&5
    16814    echo "$as_me:16814: \$? = $ac_status" >&5
     16817   echo "$as_me:16817: \$? = $ac_status" >&5
    1681516818   if (exit $ac_status) && test -s "$ac_outfile"; then
    1681616819     # The compiler can only warn and ignore the option if not recognized
     
    1691216915   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1691316916   -e 's:$: $lt_compiler_flag:'`
    16914    (eval echo "\"\$as_me:16914: $lt_compile\"" >&5)
     16917   (eval echo "\"\$as_me:16917: $lt_compile\"" >&5)
    1691516918   (eval "$lt_compile" 2>out/conftest.err)
    1691616919   ac_status=$?
    1691716920   cat out/conftest.err >&5
    16918    echo "$as_me:16918: \$? = $ac_status" >&5
     16921   echo "$as_me:16921: \$? = $ac_status" >&5
    1691916922   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1692016923   then
     
    1981819821###########################################################################
    1981919822
    19820 echo "$as_me:$LINENO: checking for COIN project Glpk" >&5
    19821 echo $ECHO_N "checking for COIN project Glpk... $ECHO_C" >&6
    19822 
     19823echo "$as_me:$LINENO: checking for COIN project Glpk in " >&5
     19824echo $ECHO_N "checking for COIN project Glpk in ... $ECHO_C" >&6
    1982319825# First check, if the sub-project is actually available (ToDo: allow
    1982419826# other locations)
    1982519827
    19826 coin_has_glpk=unavailable
     19828#replace backslashes by underscore
     19829#m4_define([escape], m4_bpatsubsts([Glpk],[/],[_]))
     19830
     19831coin_has_glpk=notGiven
    1982719832if test x"$COIN_SKIP_PROJECTS" != x; then
    1982819833  for dir in $COIN_SKIP_PROJECTS; do
     
    1983319838fi
    1983419839
     19840
     19841
     19842
     19843
     19844
     19845GLPKSRCDIR=This_Variable_Is_Not_Set
     19846GLPKOBJDIR=This_Variable_Is_Not_Set
     19847GLPKDOCDIR=This_Variable_Is_Not_Set
     19848GLPKDATADIR=This_Variable_Is_Not_Set
     19849GLPKINSTDIR=This_Variable_Is_Not_Set
     19850
    1983519851if test $coin_has_glpk != skipping; then
    1983619852  if test $PACKAGE_TARNAME = glpk; then
    1983719853    coin_has_glpk=.
    1983819854  else
    19839     if test -d $srcdir/../Glpk; then
    19840       coin_has_glpk=../Glpk
     19855
     19856# Check whether --with-m4_tolower(Glpk)-instdir or --without-m4_tolower(Glpk)-instdir was given.
     19857if test "${with_glpk_instdir+set}" = set; then
     19858  withval="$with_glpk_instdir"
     19859  coin_has_glpk=installed
     19860                 if test -d "$withval"; then : ; else
     19861                   { { echo "$as_me:$LINENO: error: argument for --with-glpk-instdir not a directory" >&5
     19862echo "$as_me: error: argument for --with-glpk-instdir not a directory" >&2;}
     19863   { (exit 1); exit 1; }; }
     19864                 fi
     19865                 GLPKINSTDIR=`cd $withval; pwd`
     19866fi;
     19867
     19868
     19869# Check whether --with-m4_tolower(Glpk)-srcdir or --without-m4_tolower(Glpk)-srcdir was given.
     19870if test "${with_glpk_srcdir+set}" = set; then
     19871  withval="$with_glpk_srcdir"
     19872  if test "$coin_has_glpk" = installed; then
     19873                   { { echo "$as_me:$LINENO: error: --with-$glpk-srcdir cannot be given together with --with-glpk-instdir" >&5
     19874echo "$as_me: error: --with-$glpk-srcdir cannot be given together with --with-glpk-instdir" >&2;}
     19875   { (exit 1); exit 1; }; }
     19876                 fi
     19877                 if test -d "$withval"; then : ; else
     19878                   { { echo "$as_me:$LINENO: error: argument for --with-glpk-srcdir not a directory" >&5
     19879echo "$as_me: error: argument for --with-glpk-srcdir not a directory" >&2;}
     19880   { (exit 1); exit 1; }; }
     19881                 fi
     19882                 coin_has_glpk=$withval
     19883                 GLPKSRCDIR=`cd $withval; pwd`
     19884fi;
     19885
     19886
     19887# Check whether --with-m4_tolower(Glpk)-objdir or --without-m4_tolower(Glpk)-objdir was given.
     19888if test "${with_glpk_objdir+set}" = set; then
     19889  withval="$with_glpk_objdir"
     19890  if test "$coin_has_glpk" = installed; then
     19891                   { { echo "$as_me:$LINENO: error: --with-glpk-objdir cannot be given together with --with-glpk-instdir" >&5
     19892echo "$as_me: error: --with-glpk-objdir cannot be given together with --with-glpk-instdir" >&2;}
     19893   { (exit 1); exit 1; }; }
     19894                 fi
     19895                 if test "$coin_has_glpk" = notGiven; then
     19896                   { { echo "$as_me:$LINENO: error: --with-glpk-objdir must be accompanied by --with-glpk-srcdir" >&5
     19897echo "$as_me: error: --with-glpk-objdir must be accompanied by --with-glpk-srcdir" >&2;}
     19898   { (exit 1); exit 1; }; }
     19899                 fi
     19900                 if test -d "$withval"; then : ; else
     19901                   { { echo "$as_me:$LINENO: error: argument for --with-glpk-objdir not a directory" >&5
     19902echo "$as_me: error: argument for --with-glpk-objdir not a directory" >&2;}
     19903   { (exit 1); exit 1; }; }
     19904                 fi
     19905                 GLPKOBJDIR=`cd $withval; pwd`
     19906else
     19907  GLPKOBJDIR="$GLPKSRCDIR"
     19908fi;
     19909
     19910    # if we still don't have a location, check for generic flag
     19911    if test "$coin_has_glpk" = notGiven; then
     19912
     19913# Check whether --with-coin-instdir or --without-coin-instdir was given.
     19914if test "${with_coin_instdir+set}" = set; then
     19915  withval="$with_coin_instdir"
     19916  if test -d "$withval"; then : ; else
     19917                     { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
     19918echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
     19919   { (exit 1); exit 1; }; }
     19920                   fi
     19921                   if test -r $withval/share/doc/coin/Glpk/README;
     19922
     19923                   then
     19924                     coin_has_glpk=installed
     19925                     GLPKINSTDIR=`cd $withval; pwd`
     19926                   fi
     19927fi;
     19928    fi
     19929
     19930    # check if project can be found in /Glpk
     19931    # this is for the classic setup when this macro is called from AC_COIN_MAIN_SUBDIR
     19932    fulldir=Glpk
     19933
     19934    if test "$coin_has_glpk" = notGiven; then
     19935      if test -d $srcdir/$fulldir; then
     19936         coin_has_glpk=$fulldir
     19937
     19938
     19939      fi
     19940    fi
     19941
     19942    # check if project can be found in ..//Glpk
     19943    # this is for the classic setup when this macro is called from the project main directory
     19944    fulldir=../Glpk
     19945
     19946    if test "$coin_has_glpk" = notGiven; then
     19947      if test -d $srcdir/$fulldir; then
     19948         coin_has_glpk=$fulldir
     19949
     19950
     19951      fi
    1984119952    fi
    1984219953  fi
    1984319954fi
    1984419955
    19845 if test $coin_has_glpk != unavailable &&
     19956if test $coin_has_glpk != notGiven &&
    1984619957   test $coin_has_glpk != skipping; then
    1984719958  # Set the #define if the component is available
     
    1985219963
    1985319964
    19854   # Set the variables for source and object code location
    19855 
    19856   GLPKSRCDIR=`cd $srcdir/$coin_has_glpk; pwd`
    19857 
    19858   GLPKOBJDIR=`pwd`/$coin_has_glpk
    19859 
    19860   GLPKDOCDIR=$abs_lib_dir/../share/doc/coin/Glpk
    19861 fi
    19862 
    19863   # Define the Makefile conditional
    19864 
    19865 
    19866 if test $coin_has_glpk != unavailable &&
     19965  if test $coin_has_glpk = installed; then
     19966    GLPKDOCDIR=$GLPKINSTDIR/share/doc/coin/Glpk
     19967       GLPKDATADIR=$GLPKINSTDIR/share/coin/Glpk
     19968
     19969  else
     19970    if test "$GLPKOBJDIR" = This_Variable_Is_Not_Set; then
     19971      # Set the variables for source and object code location
     19972      GLPKSRCDIR=`cd $srcdir/$coin_has_glpk; pwd`
     19973      GLPKOBJDIR=`pwd`/$coin_has_glpk
     19974      GLPKDOCDIR=$abs_lib_dir/../share/doc/coin/Glpk
     19975
     19976      GLPKDATADIR=$GLPKOBJDIR
     19977    else
     19978      # This is just a guess:
     19979      GLPKDOCDIR=$GLPKOBJDIR/../share/doc/coin/Glpk
     19980         GLPKDATADIR=$GLPKOBJDIR/../share/coin/Glpk
     19981
     19982    fi
     19983  fi
     19984fi
     19985
     19986# Define the Makefile conditional
     19987
     19988
     19989if test $coin_has_glpk != notGiven &&
    1986719990                test $coin_has_glpk != skipping; then
    1986819991  COIN_HAS_GLPK_TRUE=
     
    1987319996fi
    1987419997
    19875 echo "$as_me:$LINENO: result: $coin_has_glpk" >&5
     19998
     19999
     20000if test $coin_has_glpk = installed; then
     20001  COIN_HAS_GLPK_PREINSTALLED_TRUE=
     20002  COIN_HAS_GLPK_PREINSTALLED_FALSE='#'
     20003else
     20004  COIN_HAS_GLPK_PREINSTALLED_TRUE='#'
     20005  COIN_HAS_GLPK_PREINSTALLED_FALSE=
     20006fi
     20007
     20008
     20009if test $coin_has_glpk = installed; then
     20010  echo "$as_me:$LINENO: result: installed in $GLPKINSTDIR" >&5
     20011echo "${ECHO_T}installed in $GLPKINSTDIR" >&6
     20012  if test -r $GLPKINSTDIR/share/doc/coin/Glpk/README; then
     20013
     20014  :
     20015else
     20016  { { echo "$as_me:$LINENO: error: $GLPKINSTDIR/share/doc/coin/Glpk/README should be available if Glpk is installed" >&5
     20017echo "$as_me: error: $GLPKINSTDIR/share/doc/coin/Glpk/README should be available if Glpk is installed" >&2;}
     20018   { (exit 1); exit 1; }; }
     20019  :
     20020fi
     20021
     20022
     20023
     20024else
     20025  echo "$as_me:$LINENO: result: $coin_has_glpk" >&5
    1987620026echo "${ECHO_T}$coin_has_glpk" >&6
     20027  if test $coin_has_glpk != notGiven &&
     20028     test $coin_has_glpk != skipping; then
     20029    echo "$as_me:$LINENO: checking for source code location of Glpk" >&5
     20030echo $ECHO_N "checking for source code location of Glpk... $ECHO_C" >&6
     20031    echo "$as_me:$LINENO: result: $GLPKSRCDIR" >&5
     20032echo "${ECHO_T}$GLPKSRCDIR" >&6
     20033    echo "$as_me:$LINENO: checking for object code location of Glpk" >&5
     20034echo $ECHO_N "checking for object code location of Glpk... $ECHO_C" >&6
     20035    echo "$as_me:$LINENO: result: $GLPKOBJDIR" >&5
     20036echo "${ECHO_T}$GLPKOBJDIR" >&6
     20037  fi
     20038fi
    1987720039
    1987820040
     
    2217922341Usually this means the macro was only invoked conditionally." >&5
    2218022342echo "$as_me: error: conditional \"COIN_HAS_GLPK\" was never defined.
     22343Usually this means the macro was only invoked conditionally." >&2;}
     22344   { (exit 1); exit 1; }; }
     22345fi
     22346if test -z "${COIN_HAS_GLPK_PREINSTALLED_TRUE}" && test -z "${COIN_HAS_GLPK_PREINSTALLED_FALSE}"; then
     22347  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_GLPK_PREINSTALLED\" was never defined.
     22348Usually this means the macro was only invoked conditionally." >&5
     22349echo "$as_me: error: conditional \"COIN_HAS_GLPK_PREINSTALLED\" was never defined.
    2218122350Usually this means the macro was only invoked conditionally." >&2;}
    2218222351   { (exit 1); exit 1; }; }
     
    2282122990s,@GLPKOBJDIR@,$GLPKOBJDIR,;t t
    2282222991s,@GLPKDOCDIR@,$GLPKDOCDIR,;t t
     22992s,@GLPKDATADIR@,$GLPKDATADIR,;t t
     22993s,@GLPKINSTDIR@,$GLPKINSTDIR,;t t
    2282322994s,@COIN_HAS_GLPK_TRUE@,$COIN_HAS_GLPK_TRUE,;t t
    2282422995s,@COIN_HAS_GLPK_FALSE@,$COIN_HAS_GLPK_FALSE,;t t
     22996s,@COIN_HAS_GLPK_PREINSTALLED_TRUE@,$COIN_HAS_GLPK_PREINSTALLED_TRUE,;t t
     22997s,@COIN_HAS_GLPK_PREINSTALLED_FALSE@,$COIN_HAS_GLPK_PREINSTALLED_FALSE,;t t
    2282522998s,@glpkmajorver@,$glpkmajorver,;t t
    2282622999s,@glpkminorver@,$glpkminorver,;t t
Note: See TracChangeset for help on using the changeset viewer.